cwlVersion: v1.2
class: CommandLineTool
hints:
  DockerRequirement:
    dockerPull: mcr.microsoft.com/dotnet/sdk:6.0
requirements:
  EnvVarRequirement:
    envDef:
      - envName: DOTNET_NOLOGO
        envValue: "true"
  NetworkAccess:
    networkAccess: true
baseCommand: [dotnet, fsi]
inputs:
  scriptFile:
    type: File
    inputBinding:
      position: 1
  firstArg:
    type: File
    inputBinding:
      position: 2
  secondArg:
    type: string
    inputBinding:
      position: 3
outputs:
  output:
    type: File
    outputBinding:
      glob: "*.csv"